Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

openstack 'Namespace' object has no attribute 'os_auth_type' - devstack icehouse on Cent OS 6.5

screen -S stack -p key -X stuff '/opt/stack/keystone/bin/keystone-all --config-file /etc/keystone/keystone.conf --debug & echo $! >/opt/stack/status/stack/key.pid; fg || echo "key failed to start" | tee "/opt/'tack/status/stack/key.failure" 2014-12-09 12:23:20.053 | + echo 'Waiting for keystone to start...' 2014-12-09 12:23:20.053 | Waiting for keystone to start... 2014-12-09 12:23:20.053 | + timeout 60 sh -c 'while ! curl --noproxy '\''*'\'' -k -s http://172.22.226.67:5000/v2.0/ >/dev/null; do sleep 1; done' 2014-12-09 12:23:23.198 | + is_service_enabled tls-proxy 2014-12-09 12:23:23.201 | + return 1 2014-12-09 12:23:23.201 | + SERVICE_ENDPOINT=http://172.22.226.67:35357/v2.0 2014-12-09 12:23:23.201 | + is_service_enabled tls-proxy 2014-12-09 12:23:23.204 | + return 1 2014-12-09 12:23:23.204 | + export OS_TOKEN=admin 2014-12-09 12:23:23.204 | + OS_TOKEN=admin 2014-12-09 12:23:23.204 | + export OS_URL=http://172.22.226.67:35357/v2.0 2014-12-09 12:23:23.204 | + OS_URL=http://172.22.226.67:35357/v2.0 2014-12-09 12:23:23.204 | + create_keystone_accounts 2014-12-09 12:23:23.205 | ++ openstack project create admin 2014-12-09 12:23:23.205 | ++ grep ' id ' 2014-12-09 12:23:23.206 | ++ get_field 2 2014-12-09 12:23:23.207 | ++ read data 2014-12-09 12:23:24.013 | ERROR: openstack 'Namespace' object has no attribute 'os_auth_type' 2014-12-09 12:23:24.053 | + ADMIN_TENANT= 2014-12-09 12:23:24.054 | ++ openstack user create admin --project '' --email admin@example.com --password admin 2014-12-09 12:23:24.054 | ++ get_field 2 2014-12-09 12:23:24.054 | ++ read data 2014-12-09 12:23:24.055 | ++ grep ' id ' 2014-12-09 12:23:24.855 | ERROR: openstack 'Namespace' object has no attribute 'os_auth_type' 2014-12-09 12:23:24.901 | + ADMIN_USER= 2014-12-09 12:23:24.902 | ++ openstack role create admin 2014-12-09 12:23:24.902 | ++ grep ' id ' 2014-12-09 12:23:24.904 | ++ get_field 2 2014-12-09 12:23:24.904 | ++ read data 2014-12-09 12:23:25.699 | ERROR: openstack 'Namespace' object has no attribute 'os_auth_type' 2014-12-09 12:23:25.738 | + ADMIN_ROLE= 2014-12-09 12:23:25.738 | + openstack role add --project --user 2014-12-09 12:23:26.535 | ERROR: openstack 'Namespace' object has no attribute 'os_auth_type' 2014-12-09 12:23:26.574 | + exit_trap 2014-12-09 12:23:26.575 | + local r=1 2014-12-09 12:23:26.575 | ++ jobs -p 2014-12-09 12:23:26.576 | + jobs= 2014-12-09 12:23:26.576 | + [[ -n '' ]] 2014-12-09 12:23:26.576 | + exit 1

Hii... I am running devstack (icehouse) on Cent OS 6.5.. I am getting the above error.. is there any dependency i need to resolve or need to set any environment variable?? Thanx in advance..

openstack 'Namespace' object has no attribute 'os_auth_type' - devstack icehouse on Cent OS 6.5

screen -S stack -p key -X stuff '/opt/stack/keystone/bin/keystone-all --config-file /etc/keystone/keystone.conf --debug & echo $! >/opt/stack/status/stack/key.pid; fg || echo "key failed to start" | tee "/opt/'tack/status/stack/key.failure" 2014-12-09 12:23:20.053 | + echo 'Waiting for keystone to start...' 2014-12-09 12:23:20.053 | Waiting for keystone to start... 2014-12-09 12:23:20.053 | + timeout 60 sh -c 'while ! curl --noproxy '\''*'\'' -k -s http://172.22.226.67:5000/v2.0/ >/dev/null; do sleep 1; done' 2014-12-09 12:23:23.198 | + is_service_enabled tls-proxy 2014-12-09 12:23:23.201 | + return 1 2014-12-09 12:23:23.201 | + SERVICE_ENDPOINT=http://172.22.226.67:35357/v2.0 2014-12-09 12:23:23.201 | + is_service_enabled tls-proxy 2014-12-09 12:23:23.204 | + return 1 2014-12-09 12:23:23.204 | + export OS_TOKEN=admin 2014-12-09 12:23:23.204 | + OS_TOKEN=admin 2014-12-09 12:23:23.204 | + export OS_URL=http://172.22.226.67:35357/v2.0 2014-12-09 12:23:23.204 | + OS_URL=http://172.22.226.67:35357/v2.0 2014-12-09 12:23:23.204 | + create_keystone_accounts 2014-12-09 12:23:23.205 | ++ openstack project create admin 2014-12-09 12:23:23.205 | ++ grep ' id ' 2014-12-09 12:23:23.206 | ++ get_field 2 2014-12-09 12:23:23.207 | ++ read data 2014-12-09 12:23:24.013 | ERROR: openstack 'Namespace' object has no attribute 'os_auth_type' 2014-12-09 12:23:24.053 | + ADMIN_TENANT= 2014-12-09 12:23:24.054 | ++ openstack user create admin --project '' --email admin@example.com --password admin 2014-12-09 12:23:24.054 | ++ get_field 2 2014-12-09 12:23:24.054 | ++ read data 2014-12-09 12:23:24.055 | ++ grep ' id ' 2014-12-09 12:23:24.855 | ERROR: openstack 'Namespace' object has no attribute 'os_auth_type' 2014-12-09 12:23:24.901 | + ADMIN_USER= 2014-12-09 12:23:24.902 | ++ openstack role create admin 2014-12-09 12:23:24.902 | ++ grep ' id ' 2014-12-09 12:23:24.904 | ++ get_field 2 2014-12-09 12:23:24.904 | ++ read data 2014-12-09 12:23:25.699 | ERROR: openstack 'Namespace' object has no attribute 'os_auth_type' 2014-12-09 12:23:25.738 | + ADMIN_ROLE= 2014-12-09 12:23:25.738 | + openstack role add --project --user 2014-12-09 12:23:26.535 | ERROR: openstack 'Namespace' object has no attribute 'os_auth_type' 2014-12-09 12:23:26.574 | + exit_trap 2014-12-09 12:23:26.575 | + local r=1 2014-12-09 12:23:26.575 | ++ jobs -p 2014-12-09 12:23:26.576 | + jobs= 2014-12-09 12:23:26.576 | + [[ -n '' ]] 2014-12-09 12:23:26.576 | + exit 1

Hii... I am running devstack (icehouse) on Cent OS 6.5.. I am getting the above error.. is there any dependency i need to resolve or need to set any environment variable?? Thanx in advance..

openstack 'Namespace' object has no attribute 'os_auth_type' - devstack icehouse on Cent OS 6.5

screen -S stack -p key -X stuff '/opt/stack/keystone/bin/keystone-all --config-file /etc/keystone/keystone.conf --debug & echo $! >/opt/stack/status/stack/key.pid; fg || echo "key failed to start" | tee "/opt/'tack/status/stack/key.failure"
2014-12-09 12:23:20.053 | + echo 'Waiting for keystone to start...'
2014-12-09 12:23:20.053 | Waiting for keystone to start...
2014-12-09 12:23:20.053 | + timeout 60 sh -c 'while ! curl --noproxy '\''*'\'' -k -s http://172.22.226.67:5000/v2.0/ >/dev/null; do sleep 1; done'
2014-12-09 12:23:23.198 | + is_service_enabled tls-proxy
2014-12-09 12:23:23.201 | + return 1
2014-12-09 12:23:23.201 | + SERVICE_ENDPOINT=http://172.22.226.67:35357/v2.0
2014-12-09 12:23:23.201 | + is_service_enabled tls-proxy
2014-12-09 12:23:23.204 | + return 1
2014-12-09 12:23:23.204 | + export OS_TOKEN=admin
2014-12-09 12:23:23.204 | + OS_TOKEN=admin
2014-12-09 12:23:23.204 | + export OS_URL=http://172.22.226.67:35357/v2.0
2014-12-09 12:23:23.204 | + OS_URL=http://172.22.226.67:35357/v2.0
2014-12-09 12:23:23.204 | + create_keystone_accounts
2014-12-09 12:23:23.205 | ++ openstack project create admin
2014-12-09 12:23:23.205 | ++ grep ' id '
2014-12-09 12:23:23.206 | ++ get_field 2
2014-12-09 12:23:23.207 | ++ read data
2014-12-09 12:23:24.013 | ERROR: openstack 'Namespace' object has no attribute 'os_auth_type'
2014-12-09 12:23:24.053 | + ADMIN_TENANT=
2014-12-09 12:23:24.054 | ++ openstack user create admin --project '' --email admin@example.com --password admin
2014-12-09 12:23:24.054 | ++ get_field 2
2014-12-09 12:23:24.054 | ++ read data
2014-12-09 12:23:24.055 | ++ grep ' id '
2014-12-09 12:23:24.855 | ERROR: openstack 'Namespace' object has no attribute 'os_auth_type'
2014-12-09 12:23:24.901 | + ADMIN_USER=
2014-12-09 12:23:24.902 | ++ openstack role create admin
2014-12-09 12:23:24.902 | ++ grep ' id '
2014-12-09 12:23:24.904 | ++ get_field 2
2014-12-09 12:23:24.904 | ++ read data
2014-12-09 12:23:25.699 | ERROR: openstack 'Namespace' object has no attribute 'os_auth_type'
2014-12-09 12:23:25.738 | + ADMIN_ROLE=
2014-12-09 12:23:25.738 | + openstack role add --project --user
2014-12-09 12:23:26.535 | ERROR: openstack 'Namespace' object has no attribute 'os_auth_type'
2014-12-09 12:23:26.574 | + exit_trap
2014-12-09 12:23:26.575 | + local r=1
2014-12-09 12:23:26.575 | ++ jobs -p
2014-12-09 12:23:26.576 | + jobs=
2014-12-09 12:23:26.576 | + [[ -n '' ]]
2014-12-09 12:23:26.576 | + exit 1

1

Hii... I am running devstack (icehouse) on Cent OS 6.5.. I am getting the above error.. is there any dependency i need to resolve or need to set any environment variable?? Thanx in advance..